curl --request POST \
--url https://api.kelviq.com/api/v1/report/usage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": 150,
"customerId": "customer_001",
"featureId": "seats",
"behaviour": "SET"
}
'{
"value": 150,
"customerId": "customer_001",
"featureId": "seats",
"behaviour": "SET",
"orgId": "1",
"eventName": "aggregated.usage",
"idempotencyKey": "597ee95063c744ed9bcc9b1cf5676a8a",
"timestamp": "2025-05-22 08:27:45.430732"
}Reports pre-aggregated feature usage from your application to kelviq.
curl --request POST \
--url https://api.kelviq.com/api/v1/report/usage/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": 150,
"customerId": "customer_001",
"featureId": "seats",
"behaviour": "SET"
}
'{
"value": 150,
"customerId": "customer_001",
"featureId": "seats",
"behaviour": "SET",
"orgId": "1",
"eventName": "aggregated.usage",
"idempotencyKey": "597ee95063c744ed9bcc9b1cf5676a8a",
"timestamp": "2025-05-22 08:27:45.430732"
}The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
The usage value being reported.
150
Unique identifier for the customer associated with this usage.
"customer_001"
Unique identifier for the feature for which usage is being reported.
"seats"
Dictates how the usage is updated. SET replaces, DELTA increments.
SET, DELTA "SET"
Usage reported successfully.
150
"customer_001"
"seats"
SET, DELTA "SET"
"1"
Internal event name (e.g., "aggregated.usage").
"aggregated.usage"
Server-generated unique idempotency key for this usage report instance.
"597ee95063c744ed9bcc9b1cf5676a8a"
Server-generated UTC timestamp (e.g., yyyy-MM-dd HH:mm:ss.ffffff) when the report was processed.
"2025-05-22 08:27:45.430732"